Second installation of Gimp does not use turboprint

Questions on Installation
Post Reply
carusoswi
Posts: 9
Joined: Thu Jul 05, 2007 6:23 pm

Second installation of Gimp does not use turboprint

Post by carusoswi » Sun Jan 10, 2010 4:53 pm

I am running both Gimp 2.6 and Gimp 2.7 on Ubuntu 9.10. I follows some special instructions in order that 2.6 and 2.7 could coexist on my 9.10 setup, and notice that the menu option for Turboprint is only available with the 2.6 installation of Gimp.

I know that I have to copy script files from their locations in the 2.6 directories to their respective locations in the 2.7 directories in order to make scripts installed in 2.6 available in 2.7, and imagine that I need to do the same to some file in order to make Turboprint available to my 2.7 Gimp.

Can someone advise as to what file(s) need to be copied?

Thanks.

Caruso

zedonet
Site Admin
Posts: 1751
Joined: Fri Oct 06, 2006 8:02 am

Post by zedonet » Mon Jan 11, 2010 8:55 am

Hello,

the following files are part of the GIMP TurboPrint print plugin:

Code: Select all

/usr/lib/gimp/2.0/plug-ins/gpturboprint 
(64bit: /usr/lib64/gimp/2.0/plug-ins/gpturboprint )

/usr/local/share/gpturboprint/1.1.10/xml/printers.xml
/usr/local/share/gpturboprint/1.1.10/xml/papers.xml
/usr/local/share/locale/de/LC_MESSAGES/gpturboprint.mo
I can't see a dependency on GIMP 2.6 or 2.7 here - please let me know if you find a solution.

carusoswi
Posts: 9
Joined: Thu Jul 05, 2007 6:23 pm

Post by carusoswi » Sat Apr 24, 2010 2:31 pm

I followed the paths you listed to find those files on my system. I'm lost as to your final comment. The files are on the system for both installations, however, I did install GIMP 2.7 in a way that allows it to co-exist with 2.6 on the system, something that is a bit out of the ordinary.

I'm guessing that the problem would not exist if 2.7 were installed normally as the only version on my system, but that's only a guess.

Thanks for the reply.

Caruso

Post Reply